import Tkinter
import tkMessageBox

class AreaRectangleGUI:
    def __init__(self):

        # Create the main window.
        self.__main_window = Tkinter.Tk()

        # Create three frames to group widgets.
        self.__top_frame = Tkinter.Frame(self.__main_window)
        self.__button_frame = Tkinter.Frame(self.__main_window)
        self.__prompt_frame = Tkinter.Frame(self.__top_frame)
        self.__entry_frame = Tkinter.Frame(self.__top_frame)

        # Pack the frames.
        self.__top_frame.pack(side='top')
        self.__button_frame.pack(side='top')
        self.__prompt_frame.pack(side='left')
        self.__entry_frame.pack(side='left')

        # Create the widgets for the prompt frame.
        self.__length_label = Tkinter.Label(self.__prompt_frame, \
                    text="Enter the rectangle's length:")
        self.__width_label = Tkinter.Label(self.__prompt_frame, \
                    text="Enter the rectangle's width:")

        # Create the widgets for the entry frame.
        self.__length_entry = Tkinter.Entry(self.__entry_frame, width=10)
        self.__width_entry = Tkinter.Entry(self.__entry_frame, width=10)

        # Pack the prompt frame's widgets.
        self.__length_label.pack(side='top')
        self.__width_label.pack(side='top')
        
        # Pack the entry frame's widgets.
        self.__length_entry.pack(side='top')
        self.__width_entry.pack(side='top')

        # Create and pack the button widget for the bottom frame.
        self.__calc_button = Tkinter.Button(self.__button_frame, \
                                    text='Calculate Area', \
                                     command=self.calc_area)
        self.__calc_button.pack()

        # Enter the Tkinter main loop.
        Tkinter.mainloop()

    def calc_area(self):
        # Get the value entered by the user into the
        # length_entry and width_entry widgets.
        length = float(self.__length_entry.get())
        width = float(self.__width_entry.get())
        # Calculate the area.
        area = length * width
        # Display the area.
        tkMessageBox.showinfo('Area', 'The area is ' + str(area))

# Create an instance of the AreaRectangleGUI class.
my_app = AreaRectangleGUI()




    
    
