# This program converts distances in kilometers
# to miles. The result is displayed in an info
# dialog box.

import Tkinter
import tkMessageBox

class KiloConverterGUI:
    def __init__(self):

        # Create the main window.
        self.main_window = Tkinter.Tk()

        # Create two frames to group widgets.
        self.top_frame = Tkinter.Frame()
        self.bottom_frame = Tkinter.Frame()

        # Create the widgets for the top frame.
        self.prompt_label = Tkinter.Label(self.top_frame, \
                    text='Enter a distance in kilometers:')
        self.kilo_entry = Tkinter.Entry(self.top_frame, \
                                        width=10)

        # Pack the top frame's widgets.
        self.prompt_label.pack(side='left')
        self.kilo_entry.pack(side='left')

        # Create the button widgets for the bottom frame.
        self.calc_button = Tkinter.Button(self.bottom_frame, \
                                     text='Convert', \
                                     command=self.convert)
        self.quit_button = Tkinter.Button(self.bottom_frame, \
                                text='Quit', \
                                command=self.main_window.quit)
        # Pack the buttons.
        self.calc_button.pack(side='left')
        self.quit_button.pack(side='left')

        # Pack the frames.
        self.top_frame.pack()
        self.bottom_frame.pack()

        # Enter the Tkinter main loop.
        Tkinter.mainloop()

    # The convert method is a callback function for
    # the Calculate button.
    
    def convert(self):
        # Get the value entered by the user into the
        # kilo_entry widget.
        kilo = float(self.kilo_entry.get())

        # Convert kilometers to miles.
        miles = kilo * 0.6214

        # Display the results in an info dialog box.
        tkMessageBox.showinfo('Results', \
            str(kilo) + ' kilometers is equal to ' + \
            str(miles) + ' miles.')

# Create an instance of the KiloConverterGUI class.
kilo_conv = KiloConverterGUI()
