# MenuTest.py
"""Test the Menu widget with event handling"""

from Tkinter import *

class Application(Frame):
    def __init__(self, master=None):
        Frame.__init__(self, master)
        top = self.winfo_toplevel()         # find top-level window
        top.title("Menu Example")
        
        self.grid()
        self.createWidgets()

    def createWidgets(self):
        self.breadMenubutton = Menubutton(self, text="Bread", relief=RAISED)
        self.breadMenubutton.grid(row=0, column=0, sticky=N+W+E)
        self.rowconfigure(0, pad=100)
        
        self.breadMenubutton.menu = Menu(self.breadMenubutton, tearoff=1)
        self.breadMenubutton["menu"] = self.breadMenubutton.menu
        self.breadVar = StringVar()
        self.breadMenubutton.menu.add_radiobutton(label="white", variable=self.breadVar)
        self.breadMenubutton.menu.add_radiobutton(label="wheat", variable=self.breadVar)
        self.breadMenubutton.menu.add_radiobutton(label="rye", variable=self.breadVar)


        self.condimentsMenubutton = Menubutton(self, text="Condiments", relief=RAISED)
        self.condimentsMenubutton.grid(row=0, column=1, sticky=N+W+E)
        
        self.condimentsMenubutton.menu = Menu(self.condimentsMenubutton, tearoff=0)
        self.condimentsMenubutton["menu"] = self.condimentsMenubutton.menu

        self.mayoVar = IntVar()
        self.ketchupVar = IntVar()
        self.condimentsMenubutton.menu.add_checkbutton( label="mayo", variable=self.mayoVar)
        self.condimentsMenubutton.menu.add_checkbutton( label="ketchup",
                                                        variable=self.ketchupVar)
        
        self.doneButton = Button(self, text='Click when done', command=self.readSelections)
        self.doneButton.grid(row=3, column=0, columnspan=2,sticky=W+E)

    def readSelections(self):
        print "Bread: ", self.breadVar.get()
        print "Condiments: ",
        if self.mayoVar.get() == 1: print "mayo",
        if self.ketchupVar.get() == 1: print "ketchup",
        print

# end class Application

myApp = Application()
myApp.mainloop()
